View Issue Details

IDProjectCategoryView StatusLast Update
0000039Bacula-Webfeaturepublic2013-11-19 15:05
ReporterthomasAssigned Todavide 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.1.0 - alpha 
Target Version5.2.11Fixed in Version5.2.11 
Summary0000039: multiple catalogs: shows all pools from all catalogs
Descriptionwith multiple catalogs all pools are shown.
Steps To Reproduceuse multiple catalogs
Additional Informationbacula inserts all pools into all catalogs.

i've change the query in the getPools to show only non-empty pools.

find patch attached.
TagsNo tags attached.

Activities

thomas

2011-08-19 09:27

reporter  

multiple-catalogs-and-pools.patch (820 bytes)
--- bacula-web.orig/includes/bweb.inc.php	2011-07-25 22:27:10.000000000 +0200
+++ bacula-web/includes/bweb.inc.php	2011-08-19 09:24:54.000000000 +0200
@@ -170,7 +170,7 @@
 			$debug	      = false;
 			
 			// Get the list of pools id
-			$query = "SELECT Pool.poolid, Pool.name FROM Pool ORDER BY Pool.poolid";
+			$query = "SELECT Pool.poolid, Pool.name FROM Pool WHERE Pool.NumVols > 0 ORDER BY Pool.poolid";
 			
 			try {
 				foreach( $this->getPools() as $pool ) {
@@ -309,10 +309,10 @@
 		{
 			case 'sqlite':
 			case 'mysql':
-				$query 		= "SELECT name, poolid FROM Pool";
+				$query 		= "SELECT name, poolid FROM Pool WHERE NumVols > 0";
 			break;
 			case 'pgsql':
-				$query 		= "SELECT name, poolid FROM pool";
+				$query 		= "SELECT name, poolid FROM pool WHERE numvols > 0";
 			break;
 		}
 		try{

davide

2011-08-22 10:14

manager   ~0000053

Hello,

As I said for the previous bug report ( 0000038), It seem's to be more a feature request than a bug report.

Here's below the option I can add to config file

 $config['hideemptypools'] = true of false (default is false)

Do you agree ?

Best regards

thomas

2011-08-22 10:18

reporter   ~0000054

that's why i've choosen categroy "feature" for this report. :)

to have this as an option would be cool.

davide

2011-08-22 14:44

manager   ~0000057

Sorry, I didn't see the category .... ;)

I appreciate your commit and this functionality will be available soon (in the next version if I have time to implement it).

Best regards

davide

2012-10-18 10:56

manager   ~0000158

A new option have been added in config.php.sample

// Hide empty pools (displayed by default)
$config['hide_empty_pools'] = false;

In the next version, the Pools and volumes page will not display empty Pools if the option is set to <true>.

Regards

davide

2013-01-02 14:21

manager   ~0000180

Did you have a chance to try the latest version ?

Thanks for your feedback

Davide

davide

2013-01-25 13:54

manager   ~0000217

Bug fixed in Bacula-Web 5.2.11

davide

2013-11-19 15:05

manager   ~0000316

Issue closed

Issue History

Date Modified Username Field Change
2011-08-19 09:27 thomas New Issue
2011-08-19 09:27 thomas File Added: multiple-catalogs-and-pools.patch
2011-08-22 10:12 davide Assigned To => davide
2011-08-22 10:12 davide Status new => assigned
2011-08-22 10:12 davide Product Version => 5.1.0 - alpha
2011-08-22 10:14 davide Note Added: 0000053
2011-08-22 10:14 davide Status assigned => feedback
2011-08-22 10:18 thomas Note Added: 0000054
2011-08-22 10:18 thomas Status feedback => assigned
2011-08-22 14:44 davide Note Added: 0000057
2012-10-18 10:10 davide Target Version => 5.2.11
2012-10-18 10:56 davide Note Added: 0000158
2013-01-02 14:21 davide Note Added: 0000180
2013-01-02 14:21 davide Status assigned => feedback
2013-01-25 13:54 davide Note Added: 0000217
2013-01-25 13:54 davide Status feedback => resolved
2013-01-25 13:54 davide Fixed in Version => 5.2.11
2013-01-25 13:54 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000316